package com.yihu.jw.restmodel.iot.platform;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.yihu.jw.restmodel.iot.common.BaseVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 接口日志表
 * @vsrsion 1.0
 * Created at 2020/4/29
 */
@JsonInclude(JsonInclude.Include.ALWAYS)
@ApiModel(value = "接口日志表", description = "接口日志表")
public class IotInterfaceLogVO extends BaseVO implements Serializable {


    @ApiModelProperty("请求接口名称")
    private String interfaceName;//
    @ApiModelProperty("方法名")
    private String method;//方法名
    @ApiModelProperty("业务类型")
    private String workType;//业务类型
    @ApiModelProperty("接口说明")
    private String explanation;//接口说明
    @ApiModelProperty("访问ip地址")
    private String addressIp;//访问ip地址
    @ApiModelProperty("调用状态 1：成功   0：失败")
    private int  state;//调用状态 1：成功   0：失败
    @ApiModelProperty("调用时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    private Date time;//调用时间
    @ApiModelProperty("应用名称")
    private String  appName;//应用名称
    @ApiModelProperty("调用次数")
    private String count;//调用次数
    @ApiModelProperty("失败率")
    private String failureRate;//失败率

    public String getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(String interfaceName) {
        this.interfaceName = interfaceName;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getWorkType() {
        return workType;
    }

    public void setWorkType(String workType) {
        this.workType = workType;
    }

    public String getExplanation() {
        return explanation;
    }

    public void setExplanation(String explanation) {
        this.explanation = explanation;
    }

    public String getAddressIp() {
        return addressIp;
    }

    public void setAddressIp(String addressIp) {
        this.addressIp = addressIp;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public String getFailureRate() {
        return failureRate;
    }

    public void setFailureRate(String failureRate) {
        this.failureRate = failureRate;
    }
}
